WDT_CTRLA_Type Union Reference

## Data Fields

struct {
uint8_t __pad0__:1
uint8_t ENABLE:1
uint8_t WEN:1
uint8_t __pad1__:4
uint8_t ALWAYSON:1
} | bit
uint8_t | reg

## Detailed Description

Definition at line 44 of file wdt.h.

## Field Documentation

## __pad0__

uint8_t WDT_CTRLA_Type::__pad0__

bit: 0 Reserved

Definition at line 46 of file wdt.h.

## __pad1__

uint8_t WDT_CTRLA_Type::__pad1__

bit: 3.. 6 Reserved

Definition at line 49 of file wdt.h.

## ALWAYSON

uint8_t WDT_CTRLA_Type::ALWAYSON

bit: 7 Always-On

Definition at line 50 of file wdt.h.

## bit

struct { ... } WDT_CTRLA_Type::bit

Structure used for bit access

## ENABLE

uint8_t WDT_CTRLA_Type::ENABLE

bit: 1 Enable

Definition at line 47 of file wdt.h.

## reg

uint8_t WDT_CTRLA_Type::reg

Type used for register access

Definition at line 52 of file wdt.h.

## WEN

uint8_t WDT_CTRLA_Type::WEN

bit: 2 Watchdog Timer Window Mode Enable

Definition at line 48 of file wdt.h.

The documentation for this union was generated from the following file:

- /storage/Shared/Documents/Projects/ePenguin/ePenguin-Software-Framework/arch/arm/SAME54/SAME54A/mcu/inc/component/wdt.h